<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Laravolt\Indonesia\Models\City;
use Laravolt\Indonesia\Models\District;
use Laravolt\Indonesia\Models\Province;
use Laravolt\Indonesia\Models\Village;

class IndonesiaController extends Controller
{
    public function provinces(Request $request){
        $model = Province::select('code as id', 'name as text');
        $search = $request->input('term');
        if(!empty($search)){
            $model->search($search);
        }
        return JsonResource::collection($model->paginate());
    }
    public function cities(Request $request){
        $model = City::select('code as id', 'name as text');

        $filter = $request->input('filter');
        if(is_array($filter) && count($filter) > 0){
            foreach($filter AS $field => $value){
                if(!empty($value)){
                    $model->where($field, $value);
                }
            }
        }

        $search = $request->input('term');
        if(!empty($search)){
            $model->search($search);
        }
        return JsonResource::collection($model->paginate());
    }
    public function districts(Request $request){
        $model = District::select('code as id', 'name as text');

        $filter = $request->input('filter');
        if(is_array($filter) && count($filter) > 0){
            foreach($filter AS $field => $value){
                if(!empty($value)){
                    $model->where($field, $value);
                }
            }
        }

        $search = $request->input('term');
        if(!empty($search)){
            $model->search($search);
        }
        return JsonResource::collection($model->paginate());
    }
    public function villages(Request $request){
        $model = Village::select('code as id', 'name as text');

        $filter = $request->input('filter');
        if(is_array($filter) && count($filter) > 0){
            foreach($filter AS $field => $value){
                if(!empty($value)){
                    $model->where($field, $value);
                }
            }
        }

        $search = $request->input('term');
        if(!empty($search)){
            $model->search($search);
        }
        return JsonResource::collection($model->paginate());
    }
}
