<?php

namespace App\Http\Controllers;

use App\Models\Attachment;
use App\Http\Requests\StoreAttachmentRequest;
use App\Http\Requests\UpdateAttachmentRequest;
use App\Models\Malicious;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use Illuminate\Support\Facades\Storage;

class MaliciousAttachmentController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(StoreAttachmentRequest $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(Request $request, Malicious $malicious, Attachment $attachment)
    {
        $path = str($attachment->path)->replace(asset("/storage"), '');
        if(Storage::disk('public')->exists($path)){
            return Storage::disk('public')->download($path, $attachment->filename);
        }
        return back();
        
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Attachment $attachment)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateAttachmentRequest $request, Attachment $attachment)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Request $request, Malicious $malicious, Attachment $attachment)
    {
        $code = 500;
        $alert = [
            'type' => 'danger',
            'message' => 'Data failed to deleted'
        ];
        if($attachment->delete()){
            $code = 200;
            $old_path = str($attachment->path)->replace(asset("/storage"), '');
            if(!empty($old_path) && Storage::disk('public')->exists($old_path)){
                Storage::disk('public')->delete($old_path);
            }
            $alert = [
                'type' => 'success',
                'message' => 'Data has been deleted'
            ];
        }
        return response()->json([
            'alert' => json_decode(json_encode($alert))
        ], $code);
    }
}
