<?php

namespace App\Http\Controllers\My;

use App\Http\Controllers\Controller;
use App\Http\Requests\My\Account\Password\UpdateRequest;
use App\Models\User;

class AccountPasswordController extends Controller
{
    public function change(){
        return view('pages.my.account.change-password');
    }

    public function update(UpdateRequest $request){
        $input  = $request->validated();
        $user   = User::find(auth()->user()->id);
        $user->update([
            'password' => bcrypt($input['password'])
        ]);
        return back()->with([
            'alert' => (object)[
                'message' => 'Password has been updated',
                'options' => (object)['type'=>'success', 'timeout'=>3000]
            ]
        ]);
    }
}
