<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Arr;
use Rawilk\Settings\Facades\Settings;

class SettingController extends Controller
{
    public function edit(Request $request){
        return view('setting');
    }
    public function update(Request $request){
        $input = $request->validate([
            'app.logo'  => 'nullable|image|max:2048',
            'app.logo-header'  => 'nullable|image|max:2048',
            'app.favicon'  => 'nullable|image|max:2048',
            'app.title'  => 'required|string',
            'app.description'  => 'nullable|string',
        ]);
        $path = null;
        if($request->file('app.logo')){
            $path = $request->file('app.logo')->store('logo', 'public');
            $input['app']['logo'] = $path;
        }

        if($request->file('app.logo-header')){
            $path = $request->file('app.logo-header')->store('logo', 'public');
            $input['app']['logo-header'] = $path;
        }

        if($request->file('app.favicon')){
            $path = $request->file('app.favicon')->store('logo', 'public');
            $input['app']['favicon'] = $path;
        }

        $setting_data = Arr::dot($input);
        foreach($setting_data AS $key => $val){
            Settings::set($key, $val);
        }
        return back()->with([
            'alert' => (object)[
                'message' => 'success',
                'type' => 'success'
            ]
        ]);
    }
}
