<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UpdateIspRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'register_number' => 'required|unique:isps,register_number,' . $this->isp->id  . ',id',
            'type'              => 'required',
            'legal_name'        => 'required|string|max:125',
            'brand_name'        => 'required|string|max:125',
            'logo'              => 'nullable|image|max:2048',
            'address'           => 'nullable|string|max:255',
            'village_code'      => 'nullable|exists:villages,code',
            'email'             => [
                'required',
                'email',
                'unique:isps,email,
                ' . $this->isp->id  . ',id',
                'unique:users,email,' . $this->isp->user->id . ',id'
            ],
            'phone'             => 'nullable|string|max:64',
            'fax'               => 'nullable|string|max:20',
            'website'           => 'nullable|string|max:20',
            'facebook'          => 'nullable|string|max:255',
            'instagram'         => 'nullable|string|max:255',
            'tiktok'            => 'nullable|string|max:255',
            'user.password'     => 'nullable|string|min:6|max:32'
        ];
    }
}
