<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Str;

class UpdatePageRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'slug'      => 'required|string|max:255|unique:pages,slug,' . $this->page->id . ',id',
            'title'     => 'required|string|max:255|unique:pages,title,' . $this->page->id . ',id',
            'content'   => 'nullable',
            'status'    => 'required'
        ];
    }

    protected function prepareForValidation(): void {
        $this->merge([
            'slug' => Str::slug($this->title),
        ]);
    }
}
