<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphTo;
use Illuminate\Support\Facades\Storage;

class Attachment extends Model
{
    use HasFactory;

    protected $fillable = ['malicious_id','filename','path','size', 'mime_type'];

    protected function path(): Attribute {
        return Attribute::make(
            get: function(string|null $value){
                $url = '';
                if(!empty($value) && Storage::disk('public')->exists($value)){
                    $url = asset(Storage::url($value));
                }
                return $url;
            },
        );
    }

    public function attachmentable(): MorphTo
    {
        return $this->morphTo();
    }
}
