<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\Relations\HasManyThrough;

class Issue extends Model
{
    use HasFactory;

    protected $fillable = ['name'];

    public function maliciouses(): BelongsToMany {
        return $this->belongsToMany(Malicious::class, 'malicious_issues', 'malicious_id', 'issue_id');
    }

    public function malicious_issues(): HasMany
    {
        return $this->hasMany(MaliciousIssue::class, 'issue_id', 'id');
    }
}
