<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('resellers', function (Blueprint $table) {
            $table->id();
            $table->enum('type', ['Corporate', 'Personal'])->default('Corporate');

            $table->string('nik', 20)->nullable();
            $table->string('npwp', 20)->nullable();
            $table->string('phone', 20)->nullable();
            $table->string('email', 64)->nullable();

            $table->string('legal_name', 125);
            $table->string('brand_name', 125);

            $table->string('address')->nullable();
            $table->char('village_code', 10)->nullable();
            
            $table->json('social_media')->nullable();
            $table->json('pic')->nullable();
            $table->json('map')->nullable();
            
            $table->timestamps();

            $table->foreign('village_code')
                ->references('code')
                ->on(config('laravolt.indonesia.table_prefix').'villages')
                ->onUpdate('cascade')->onDelete('set null');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('resellers');
    }
};
