<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('maliciouses', function (Blueprint $table) {
            $table->id();
            $table->foreignId('isp_id')->nullable()
                ->constrained('isps', 'id')
                ->cascadeOnUpdate()
                ->nullOnDelete();
            $table->foreignId('reseller_id')->nullable()
                ->constrained('resellers', 'id')
                ->cascadeOnUpdate()
                ->nullOnDelete();
            $table->json('reseller');
            $table->string('title', 255);
            $table->text('description')->nullable();
            $table->enum('status', ['Draft', 'Requested', 'Accepted', 'Rejected'])->default('Draft');
            $table->timestamps();
        });
        Schema::create('malicious_issues', function (Blueprint $table) {
            $table->id();
            $table->foreignId('malicious_id')
                ->constrained('maliciouses', 'id')
                ->cascadeOnUpdate()
                ->cascadeOnDelete();
            $table->foreignId('issue_id')
                ->constrained('issues', 'id')
                ->cascadeOnUpdate()
                ->cascadeOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('malicious_issues');
        Schema::dropIfExists('maliciouses');
    }
};
