<nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm sticky-top">
    <div class="container">
        <a class="navbar-brand" href="{{ url('/') }}">
            <img src="{{ asset('storage/' . settings('app.logo-header')) }}" alt="Bootstrap" height="40">
        </a>
        @auth
        <button class="btn shadow d-md-none ms-auto" type="button" data-bs-toggle="offcanvas" data-bs-target="#offcanvasNavbar" aria-controls="offcanvasNavbar" aria-label="Toggle navigation">
            <i class="fa fa-bars"></i>    
        </button>
        <div class="offcanvas offcanvas-start" tabindex="-1" id="offcanvasNavbar" aria-labelledby="offcanvasNavbarLabel">
            <div class="offcanvas-header">
                <h5 class="offcanvas-title" id="offcanvasNavbarLabel">
                    <img src="{{ asset('storage/' . settings('app.logo')) }}" alt="Bootstrap" height="40">
                </h5>
                <button type="button" class="btn-close" data-bs-dismiss="offcanvas" aria-label="Close"></button>
            </div>
            <div class="offcanvas-body">
                <ul class="navbar-nav me-auto">
                    <li class="nav-item">
                        <a class="nav-link @if(request()->routeIs('home')) active @endif" aria-current="page" href="{{ route('home') }}">
                            <i class="fa fa-fw fa-home"></i> Home
                        </a>
                    </li>
                    @role('Admin')
                    <li class="nav-item">
                        <a class="nav-link @if(request()->routeIs('issues.*')) active @endif" href="{{ route('issues.index') }}">
                            <i class="fa fa-fw fa-tags"></i> Issues
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link @if(request()->routeIs('isps.*')) active @endif" href="{{ route('isps.index') }}">
                            <i class="fa fa-fw fa-tower-cell"></i> Provider
                        </a>
                    </li>                            
                    @endrole
                    <li class="nav-item">
                        <a class="nav-link @if(request()->routeIs('maliciouses.*')) active @endif" href="{{ route('maliciouses.index') }}">
                            <i class="fa fa-fw fa-bug"></i> Maliciouses
                        </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link @if(request()->routeIs('resellers.*')) active @endif" href="{{ route('resellers.index') }}">
                            <i class="fa fa-fw fa-handshake-slash"></i> Blacklist Resellers
                        </a>
                    </li>
                    @role('Admin')
                    <li class="nav-item">
                        <a class="nav-link @if(request()->routeIs('pages.*')) active @endif" href="{{ route('pages.index') }}">
                            <i class="fa fa-fw fa-file"></i> Pages
                        </a>
                    </li>    
                    <li class="nav-item">
                        <a class="nav-link @if(request()->routeIs('settings.*')) active @endif" href="{{ route('settings.edit') }}">
                            <i class="fa fa-fw fa-cog"></i> Settings
                        </a>
                    </li>                            
                    @endrole
                </ul>
            </div>
        </div>
        <div class="dropdown ms-2">
            <span class="navbar-text me-1 d-none d-md-inline-block">Welcome, <strong>{{ auth()->user()->name }}</strong></span>
            <button type="button" class="btn shadow" data-bs-toggle="dropdown">
                <i class="fa fa-user-circle"></i>
            </button>
            <div class="dropdown-menu dropdown-menu-end" aria-labelledby="navbarDropdown">
                <a class="dropdown-item" href="{{ route('my.account.edit') }}"><i class="fa fa-fw fa-user"></i> My Account</a>
                <a class="dropdown-item" href="{{ route('my.account.password.change') }}"><i class="fa fa-fw fa-key"></i> Change Password</a>
                <a class="dropdown-item" href="{{ route('logout') }}"
                    onclick="event.preventDefault();
                                    document.getElementById('logout-form').submit();">
                    <i class="fa fa-fw fa-sign-out"></i>  {{ __('Logout') }}
                </a>
                <form id="logout-form" action="{{ route('logout') }}" method="POST" class="d-none">
                    @csrf
                </form>
            </div>
        </div>
        @else
        <a href="{{ route('login') }}" class="fw-bolder ms-start text-dark text-decoration-none">
            Login <i class="fa-solid fa-right-to-bracket"></i> 
        </a>
        @endauth
    </div>
</nav>