@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        @foreach ($dashboard->cards as $card)
        @if ($card->show)
        <div class="col-md-4">
            <div class="card shadow mb-3">
                <div class="card-body">
                    <p class="fw-bolder mb-1">{{ $card->title }}</p>
                    <a href="{{ $card->link }}" class="text-decoration-none">
                        <h3 class="fw-bolder mb-1 text-end ">{{ $card->count }}</h3>
                    </a>
                </div>
            </div>
        </div>                
        @endif
        @endforeach
    </div>
    <div class="row justify-content-center">
        @foreach ($dashboard->ranks as $rank)
        @if ($rank->show)
        <div class="col-md-4">
            <div class="card shadow mb-3">
                <div class="card-body">
                    <p class="fw-bolder mb-1">{{ $rank->title }}</p>
                </div>
                <ol class="list-group list-group-numbered list-group-flush">
                    @foreach ($rank->data AS $data)
                    <li class="list-group-item d-flex justify-content-between">
                        <div class="ms-3 me-auto fw-bold">{{ $data->name }}</div>
                        <span class="badge bg-secondary rounded-pill">{{ $data->count }}</span>
                    </li>
                    @endforeach
                </ol>
            </div>
        </div>
        @endif
        @endforeach
    </div>
</div>
@endsection