@extends('layouts.app')

@section('content')
<div class="container">
    <div class="d-flex justify-content-between align-items-center mb-1">
        <div>
            <h1 class="mb-0 fw-bolder">Form @if (request()->routeIs('issues.edit')) Edit @else Create @endif{{ str('issue')->singular()->ucfirst() }}</h1>
        </div>
        <div>
            <a href="{{ route('issues.index') }}" class="btn btn-light shadow">
                <i class="fa fa-fw fa-arrow-left"></i> Back To Lists
            </a>

        </div>
    </div>
    <div class="row">
        <div class="col-md-4">
            <form method="POST" action="{{ request()->routeIs('issues.edit') ? route('issues.update', ($issue ?? null)) : route('issues.store') }}">
                @csrf
                @method(request()->routeIs('issues.edit') ? 'PUT' : 'POST')
                <div class="card shadow">
                    <div class="card-body">
                        <div class="form-floating mb-3">
                            <input id="name" name="name" 
                                class="form-control @error('name') is-invalid @enderror" 
                                value="{{ old('name', ($issue->name ?? null)) }}"
                                placeholder="Name"
                            />
                            <label for="name">Name</label>
                            @error('name')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="text-end">
                            <button type="submit" class="btn btn-primary">
                                <i class="fa fa-fw fa-save"></i> Save
                            </button>
                        </div>
                    </div>
                </div>

            </form>
        </div>
    </div>
</div>
@endsection
