@extends('layouts.app')

@section('page_title', 'Change Password')
@section('content')
<div class="container">
    <h1 class="fw-bolder text-center">Change Password</h1>
    <div class="row justify-content-center">
        <div class="col-md-5">
            <form action="{{ route('my.account.password.update') }}" method="POST">
                @csrf
                <div class="card shadow">
                    <div class="card-body">
                        <div class="mb-3">
                            <div class="input-group @error('current_password') has-validation @enderror">
                                <div class="form-floating @error('current_password') is-invalid @enderror">
                                    <input id="auth-form-current_password" type="password" name="current_password"
                                        class="form-control @error('current_password') is-invalid @enderror" 
                                        value="{{ old('current_password', NULL) }}"
                                        placeholder="y0urP4s5word"
                                    />
                                    <label for="auth-form-password" class="fw-bold text-muted">Current Password</label>
                                </div>
                                <button class="btn btn-light border shadow-none" style="width:140px;" type="button" data-toggle="password-toggle">Tampilkan</button>
                                @error('current_password')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="mb-3">
                            <div class="input-group @error('password') has-validation @enderror">
                                <div class="form-floating @error('password') is-invalid @enderror">
                                    <input id="auth-form-password" type="password" name="password"
                                        class="form-control @error('password') is-invalid @enderror" 
                                        value="{{ old('password', NULL) }}"
                                        placeholder="y0urP4s5word"
                                    />
                                    <label for="auth-form-password" class="fw-bold text-muted">New Password</label>
                                </div>
                                <button class="btn btn-light border shadow-none" style="width:140px;" type="button" data-toggle="password-toggle">Tampilkan</button>
                                @error('password')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <div class="mb-3">
                            <div class="input-group @error('password_confirmation') has-validation @enderror">
                                <div class="form-floating @error('password_confirmation') is-invalid @enderror">
                                    <input id="auth-form-password_confirmation" type="password" name="password_confirmation"
                                        class="form-control @error('password_confirmation') is-invalid @enderror" 
                                        value="{{ old('password_confirmation', NULL) }}"
                                        placeholder="y0urP4s5word"
                                    />
                                    <label for="auth-form-password_confirmation" class="fw-bold text-muted">New Password Confirmation</label>
                                </div>
                                <button class="btn btn-light border shadow-none" style="width:140px;" type="button" data-toggle="password-toggle">Tampilkan</button>
                                @error('password_confirmation')
                                <div class="invalid-feedback">{{ $message }}</div>
                                @enderror
                            </div>
                        </div>
                        <button class="btn btn-primary shadow w-100 btn-lg">Save</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

@endsection

@push('js')
<script src="https://code.jquery.com/jquery-3.7.1.slim.min.js"></script>
<script>
(()=>{
    'use strict';
    $(`[data-toggle="password-toggle"]`).click((e)=>{
        e.preventDefault();
        e.stopPropagation();
        let btnElement = $(e.target);
        let inputElement = btnElement.closest('.input-group').find('input');
        let setType = inputElement.attr('type') == 'password' ? 'text' : 'password';
        inputElement.attr('type', setType);
        (setType == 'password') ? btnElement.text('Tampilkan') : btnElement.text('Sembunyikan');
    });
})();
</script>
@endPush