@extends('layouts.app')

@section('title', 'My Account')

@section('content')
<div class="container">
    <h1 class="fw-bolder text-center">My Account</h1>
    <div class="row align-items-center justify-content-center">
        <div class="col-md-4 order-2 order-md-1">
            <form action="{{ route('my.account.update') }}" method="POST">
                @csrf
                <div class="card shadow">
                    <div class="card-body">
                        <div class="form-floating mb-3">
                            <input id="account-form-name" type="text" name="name"
                                class="form-control @error('name') is-invalid @enderror" 
                                value="{{ old('name', auth()->user()->name) }}" 
                                placeholder="example@name.com"
                            />
                            <label for="account-form-name" class="fw-bold text-muted">Name</label>
                            @error('name')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <input id="account-form-email" type="email" name="email"
                                class="form-control @error('email') is-invalid @enderror" 
                                value="{{ old('email', auth()->user()->email) }}"
                                placeholder="example@email.com"
                            />
                            <label for="account-form-email" class="fw-bold text-muted">Email</label>
                            @error('email')
                                <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <button class="btn btn-primary shadow w-100 btn-lg">Save</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection