@extends('layouts.app')

@section('content')
<div class="container">
    <h1 class="fw-bolder text-center">My Account</h1>
    <form action="{{ route('my.account.update') }}" method="POST">
        @csrf
        <div class="card shadow">
            <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-floating mb-3">
                            <input id="legal_name" name="legal_name"  placeholder="Legal Name"
                                class="form-control @error('legal_name') is-invalid @enderror" 
                                value="{{ old('legal_name', ($isp->legal_name ?? null)) }}"
                            />
                            <label for="legal_name">Legal Name</label>
                            @error('legal_name')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <input id="brand_name" name="brand_name"  placeholder="Brand Name"
                                class="form-control @error('brand_name') is-invalid @enderror" 
                                value="{{ old('brand_name', ($isp->brand_name ?? null)) }}"
                            />
                            <label for="brand_name">Brand Name</label>
                            @error('brand_name')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <input id="email" name="email"  placeholder="Email"
                                class="form-control @error('email') is-invalid @enderror" 
                                value="{{ old('email', ($isp->email ?? null)) }}"
                            />
                            <label for="email">Email</label>
                            @error('email')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <input id="phone" name="phone"  placeholder="Phone"
                                class="form-control @error('phone') is-invalid @enderror" 
                                value="{{ old('phone', ($isp->phone ?? null)) }}"
                            />
                            <label for="phone">Phone</label>
                            @error('phone')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <input id="fax" name="fax"  placeholder="Fax"
                                class="form-control @error('fax') is-invalid @enderror" 
                                value="{{ old('fax', ($isp->fax ?? null)) }}"
                            />
                            <label for="fax">Fax</label>
                            @error('fax')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <input id="website" name="website"  placeholder="website"
                                class="form-control @error('website') is-invalid @enderror" 
                                value="{{ old('website', ($isp->website ?? null)) }}"
                            />
                            <label for="website">Website</label>
                            @error('website')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <input id="facebook" name="facebook"  placeholder="facebook"
                                class="form-control @error('facebook') is-invalid @enderror" 
                                value="{{ old('facebook', ($isp->facebook ?? null)) }}"
                            />
                            <label for="facebook">Facebook</label>
                            @error('facebook')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-floating mb-3">
                            <input id="instagram" name="instagram"  placeholder="Instagram"
                                class="form-control @error('instagram') is-invalid @enderror" 
                                value="{{ old('instagram', ($isp->instagram ?? null)) }}"
                            />
                            <label for="instagram">Instagram</label>
                            @error('instagram')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <input id="tiktok" name="tiktok"  placeholder="Tiktok"
                                class="form-control @error('tiktok') is-invalid @enderror" 
                                value="{{ old('tiktok', ($isp->tiktok ?? null)) }}"
                            />
                            <label for="tiktok">Tiktok</label>
                            @error('tiktok')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">                            
                            <textarea id="address" name="address" placeholder="Address"
                                class="form-control @error('address') is-invalid @enderror" 
                            >{{ old('address', ($isp->address ?? null)) }}</textarea>
                            <label for="tiktok">Address</label>
                            @error('address')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <select id="province_code" class="form-select @error('province_code') is-invalid @enderror" placeholder="Province">
                            @if (isset($isp->village->district->city->province->id))
                                <option value="{{ $isp->village->district->city->province->code }}" selected>{{ $isp->village->district->city->province->name }}</option>
                            @endif
                            </select>
                            <label for="province_code">Province</label>
                            @error('province_code')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <select id="city_code" class="form-select @error('city_code') is-invalid @enderror" placeholder="City">
                            @if (isset($isp->village->district->city->id))
                                <option value="{{ $isp->village->district->city->code }}" selected>{{ $isp->village->district->city->name }}</option>
                            @endif
                            </select>
                            <label for="city_code">City</label>
                            @error('city_code')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <select id="district_code" class="form-select @error('district_code') is-invalid @enderror" placeholder="District">
                            @if (isset($isp->village->district->id))
                                <option value="{{ $isp->village->district->code }}" selected>{{ $isp->village->district->name }}</option>
                            @endif
                            </select>
                            <label for="district_code">District</label>
                            @error('district_code')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <div class="form-floating mb-3">
                            <select id="village_code" name="village_code" class="form-select @error('village_code') is-invalid @enderror" placeholder="Village">
                            @if (isset($isp->village->id))
                                <option value="{{ $isp->village->code }}" selected>{{ $isp->village->name }}</option>
                            @endif
                            </select>
                            <label for="district_code">Village</label>
                            @error('village_code')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="mb-3 text-center">
                            <label for="logo" class="mb-2">
                                <span class="text-center">Logo</span>
                                <div class="text-center" >
                                    <img id="preview-input-logo" src="{{ old('logo', ($isp->logo ?? 'https://placehold.co/150x150')) }}" class="img-fluid img-thumbnail" style="max-width:150px; max-height:150px;">
                                </div>
                            </label>
                            <input id="logo" name="logo" type="file"
                                class="form-control @error('logo') is-invalid @enderror with-image-preview" 
                                value="" data-target="#preview-input-logo"
                            />
                            @error('logo')
                            <div class="invalid-feedback">{{ $message }}</div>
                            @enderror
                        </div>
                        <button type="submit" class="btn btn-primary w-100">
                            <i class="fa fa-fw fa-save"></i> Save
                        </button>
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>
@endsection

@push('css')
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" integrity="sha512-nMNlpuaDPrqlEls3IX/Q56H36qvBASwb3ipuo3MxeWbsQB1881ox0cRv7UPTgBlriqoynt35KjEwgGUeUXIPnw==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2-bootstrap-5-theme/1.3.0/select2-bootstrap-5-theme.min.css" integrity="sha512-z/90a5SWiu4MWVelb5+ny7sAayYUfMmdXKEAbpj27PfdkamNdyI3hcjxPxkOPbrXoKIm7r9V2mElt5f1OtVhqA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
@endpush

@push('js')
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.full.min.js" integrity="sha512-RtZU3AyMVArmHLiW0suEZ9McadTdegwbgtiQl5Qqo9kunkVg1ofwueXD8/8wv3Af8jkME3DDe3yLfR8HSJfT2g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
$(()=>{
    'use strict'
    $.fn.select2.defaults.set("theme", "bootstrap-5");
    $.fn.select2.defaults.set("width", "100%");
    const 
        selectProvince  = $(`#province_code`).select2({
            placeholder: 'Select Province',
            allowClear: true,
            ajax : {
                url : `{{ route('indonesia.provinces') }}`,
                dataType: `json`,
                processResults: function (response) {
                    let results = $.map(response.data, function (obj) {
                        //obj.id      = obj.code;
                        obj.text    = obj.text || obj.name;
                        return obj;
                    });
                    return {
                        results: results,
                        pagination: {
                            more: (response.links.next != '' && response.links.next != null && response.links.next != undefined) 
                        }
                    };
                }
            }
        }),
        selectCity      = $(`#city_code`).select2({
            placeholder: 'Select City',
            allowClear: true,
            ajax : {
                url : `{{ route('indonesia.cities') }}`,
                data: function (params) {
                    return $.extend({},params,{
                        filter : {
                            province_code : selectProvince.val()
                        }
                    });
                },
                dataType: `json`,
                processResults: function (response) {
                    let results = $.map(response.data, function (obj) {
                        //obj.id      = obj.code;
                        obj.text    = obj.text || obj.name;
                        return obj;
                    });
                    return {
                        results: results,
                        pagination: {
                            more: (response.links.next != '' && response.links.next != null && response.links.next != undefined) 
                        }
                    };
                }
            }
        }),
        selectDistrict  = $(`#district_code`).select2({
            placeholder: 'Select District',
            allowClear: true,
            ajax : {
                url : `{{ route('indonesia.districts') }}`,
                data: function (params) {
                    return $.extend({},params,{
                        filter : {
                            city_code : selectCity.val()
                        }
                    });
                },
                dataType: `json`,
                processResults: function (response) {
                    let results = $.map(response.data, function (obj) {
                        //obj.id      = obj.code;
                        obj.text    = obj.text || obj.name;
                        return obj;
                    });
                    return {
                        results: results,
                        pagination: {
                            more: (response.links.next != '' && response.links.next != null && response.links.next != undefined) 
                        }
                    };
                }
            }
        }),
        selectVillage   = $(`#village_code`).select2({
            placeholder: 'Select Village',
            allowClear: true,
            ajax : {
                url : `{{ route('indonesia.villages') }}`,
                data: function (params) {
                    return $.extend({},params,{
                        filter : {
                            district_code : selectDistrict.val()
                        }
                    });
                },
                dataType: `json`,
                processResults: function (response) {
                    let results = $.map(response.data, function (obj) {
                        //obj.id      = obj.code;
                        obj.text    = obj.text || obj.name;
                        return obj;
                    });
                    return {
                        results: results,
                        pagination: {
                            more: (response.links.next != '' && response.links.next != null && response.links.next != undefined) 
                        }
                    };
                }
            }
        });

        selectProvince.on({
            change(e){
                selectCity.val(null).trigger('change');
            }
        });
        selectCity.on({
            change(e){
                selectDistrict.val(null).trigger('change');
            }
        });
        selectDistrict.on({
            change(e){
                selectVillage.val(null).trigger('change');
            }
        });

    $('.with-image-preview').on({
        change(event){
            let imageElement    = $(`${$(event.target).attr('data-target')}`);
            let files           =  event.target.files;
            if (files && files[0]) {
                let file            = files[0];
                let reader          = new FileReader();
                reader.onload = (e) => {
                    imageElement.attr('src', e.target.result);
                };
                reader.readAsDataURL(file);
            }
        }
    });
});
</script>
@endpush