<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="d-flex justify-content-between align-items-center mb-1">
        <div>
            <h1 class="mb-0 fw-bolder">Malicious #<?php echo e($malicious->id); ?></h1>
        </div>
        <div>
            <a href="<?php echo e(route('maliciouses.index')); ?>" class="btn btn-light shadow">
                <i class="fa fa-fw fa-arrow-left"></i> Back To Lists
            </a>
            <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'Operator')): ?>
            <?php if($malicious->status == 'Draft'): ?>
            <a href="<?php echo e(route('maliciouses.edit', $malicious)); ?>" class="btn btn-primary shadow">
                <i class="fa fa-fw fa-edit"></i> Edit
            </a>                
            <?php endif; ?>
            <?php endif; ?>
        </div>
    </div>
    <div class="card shadow">
        <div class="card-body">
            <div class="row">
                <div class="col-md-5">
                    <h4 class="fw-bolder">Reseller Profile</h4>
                    <dl class="row">
                        <dt class="col-sm-3">Type</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->reseller->type ?? '-'); ?></dd>
                      
                        <dt class="col-sm-3">NIK</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->reseller->nik ?? '-'); ?></dd>
                      
                        <dt class="col-sm-3">NPWP</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->reseller->npwp ?? '-'); ?></dd>
                      
                        <dt class="col-sm-3">Legal Name</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->reseller->legal_name ?? '-'); ?></dd>

                        <dt class="col-sm-3">Brand Name</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->reseller->brand_name ?? '-'); ?></dd>

                        <dt class="col-sm-3">Email</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->reseller->email ?? '-'); ?></dd>

                        <dt class="col-sm-3">Phone</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->reseller->phone ?? '-'); ?></dd>
    
                        <dt class="col-sm-3">Address</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->full_address ?? '-'); ?></dd>
                    
                        <?php if(isset($malicious->reseller->social_media)): ?>
                            <?php $__currentLoopData = $malicious->reseller->social_media; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name => $url): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <dt class="col-sm-3"><?php echo e(str($name)->ucfirst()); ?></dt>
                            <dd class="col-sm-9">
                                <a href="<?php echo e($url); ?>" target="_blank"><?php echo e($url ?? '-'); ?></a>
                            </dd>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </dl>
                    <div id="map" class="w-100" style="height:300px;"></div>
                </div>
                <div class="col-md-7">
                    <h4 class="fw-bolder">PIC</h4>
                    <dl class="row">
                        <?php if(isset($malicious->reseller->pic)): ?>
                            <?php $__currentLoopData = $malicious->reseller->pic; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <dt class="col-sm-3"><?php echo e(str($key)->ucfirst()); ?></dt>
                                <dd class="col-sm-9">
                                    <?php if($key == 'photo'): ?>
                                    <img src="<?php echo e(asset('storage/' . $value)); ?>" class="img-fluid img-thumbnail" style="max-width:200px;" />
                                    <?php else: ?>
                                    <?php echo e($value ?? '-'); ?>

                                    <?php endif; ?>
                                </dd>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </dl>
                    <h4 class="fw-bolder">Malicious</h4>
                    <dl class="row">
                        <dt class="col-sm-3">Title</dt>
                        <dd class="col-sm-9"><?php echo e($malicious->title ?? '-'); ?></dd>

                        <dt class="col-sm-3">Issues</dt>
                        <dd class="col-sm-9">
                            <?php if(isset($malicious->issues)): ?>
                            <?php $__currentLoopData = $malicious->issues; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $issue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <label class="badge bg-primary"><?php echo e($issue->name); ?></label>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>    
                        </dd>

                        <dt class="col-sm-3">Description</dt>
                        <dd class="col-sm-9"><?php echo nl2br($malicious->description ?? '-'); ?></dd>

                        <dt class="col-sm-3">Attachments</dt>
                        <dd class="col-sm-9">
                            <?php if(isset($malicious->attachments)): ?>
                            <ol class="list-group">
                                <?php $__currentLoopData = $malicious->attachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $attachment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="list-group-item d-flex justify-content-between align-items-start">
                                    <div class="me-auto">
                                        <div class="fw-bold"><?php echo e($attachment->filename); ?></div>
                                        Size : <?php echo e(Number::fileSize($attachment->size)); ?> 
                                    </div>
                                    <a class="btn btn-light shadow btn-file-delete" 
                                        href="<?php echo e(route('maliciouses.attachments.show', [
                                            'malicious' => $malicious,
                                            'attachment' => $attachment
                                        ])); ?>">
                                        <i class="fa fa-download"></i>
                                    </a>
                                </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </ol>
                            <?php endif; ?> 
                        </dd>

                        <dt class="col-sm-3">Status</dt>
                        <dd class="col-sm-9">
                            <div class="d-flex justify-content-between">
                                <div><?php echo e($malicious->status); ?></div>
                                <div>
                                    <div class="d-flex">
                                        <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'Operator')): ?>
                                            <?php if($malicious->status == 'Draft'): ?>
                                            <div class="col">
                                                <form method="POST" action="<?php echo e(route('maliciouses.requested', $malicious)); ?>">
                                                    <?php echo csrf_field(); ?>
                                                    <button class="btn btn-primary">Send Request</button>
                                                </form>
                                            </div>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'Admin')): ?>
                                            <?php if($malicious->status == 'Requested'): ?>
                                            <div class="col me-3">
                                                <form method="POST" action="<?php echo e(route('maliciouses.accepted', $malicious)); ?>">
                                                    <?php echo csrf_field(); ?>
                                                    <button class="btn btn-primary">Accepted</button>
                                                </form>
                                            </div>
                                            <div class="col">
                                                <form method="POST" action="<?php echo e(route('maliciouses.rejected', $malicious)); ?>">
                                                    <?php echo csrf_field(); ?>
                                                    <button class="btn btn-danger">Rejected</button>
                                                </form>
                                            </div>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                            
                        </dd>
                    </dl>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('css'); ?>
<link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.4/dist/leaflet.css" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" integrity="sha512-nMNlpuaDPrqlEls3IX/Q56H36qvBASwb3ipuo3MxeWbsQB1881ox0cRv7UPTgBlriqoynt35KjEwgGUeUXIPnw==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2-bootstrap-5-theme/1.3.0/select2-bootstrap-5-theme.min.css" integrity="sha512-z/90a5SWiu4MWVelb5+ny7sAayYUfMmdXKEAbpj27PfdkamNdyI3hcjxPxkOPbrXoKIm7r9V2mElt5f1OtVhqA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('js'); ?>
<script src="https://unpkg.com/leaflet@1.9.4/dist/leaflet.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.full.min.js" integrity="sha512-RtZU3AyMVArmHLiW0suEZ9McadTdegwbgtiQl5Qqo9kunkVg1ofwueXD8/8wv3Af8jkME3DDe3yLfR8HSJfT2g==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script>
$(()=>{
    'use strict'
    $.fn.select2.defaults.set("theme", "bootstrap-5");
    $.fn.select2.defaults.set("width", "100%");
    const 
        selectProvince  = $(`#province_code`).select2({
            placeholder: 'Select Province',
            allowClear: true,
            ajax : {
                url : `<?php echo e(route('indonesia.provinces')); ?>`,
                dataType: `json`,
                processResults: function (response) {
                    let results = $.map(response.data, function (obj) {
                        //obj.id      = obj.code;
                        obj.text    = obj.text || obj.name;
                        return obj;
                    });
                    return {
                        results: results,
                        pagination: {
                            more: (response.links.next != '' && response.links.next != null && response.links.next != undefined) 
                        }
                    };
                }
            }
        }),
        selectCity      = $(`#city_code`).select2({
            placeholder: 'Select City',
            allowClear: true,
            ajax : {
                url : `<?php echo e(route('indonesia.cities')); ?>`,
                data: function (params) {
                    return $.extend({},params,{
                        filter : {
                            province_code : selectProvince.val()
                        }
                    });
                },
                dataType: `json`,
                processResults: function (response) {
                    let results = $.map(response.data, function (obj) {
                        //obj.id      = obj.code;
                        obj.text    = obj.text || obj.name;
                        return obj;
                    });
                    return {
                        results: results,
                        pagination: {
                            more: (response.links.next != '' && response.links.next != null && response.links.next != undefined) 
                        }
                    };
                }
            }
        }),
        selectDistrict  = $(`#district_code`).select2({
            placeholder: 'Select District',
            allowClear: true,
            ajax : {
                url : `<?php echo e(route('indonesia.districts')); ?>`,
                data: function (params) {
                    return $.extend({},params,{
                        filter : {
                            city_code : selectCity.val()
                        }
                    });
                },
                dataType: `json`,
                processResults: function (response) {
                    let results = $.map(response.data, function (obj) {
                        //obj.id      = obj.code;
                        obj.text    = obj.text || obj.name;
                        return obj;
                    });
                    return {
                        results: results,
                        pagination: {
                            more: (response.links.next != '' && response.links.next != null && response.links.next != undefined) 
                        }
                    };
                }
            }
        }),
        selectVillage   = $(`#village_code`).select2({
            placeholder: 'Select Village',
            allowClear: true,
            ajax : {
                url : `<?php echo e(route('indonesia.villages')); ?>`,
                data: function (params) {
                    return $.extend({},params,{
                        filter : {
                            district_code : selectDistrict.val()
                        }
                    });
                },
                dataType: `json`,
                processResults: function (response) {
                    let results = $.map(response.data, function (obj) {
                        //obj.id      = obj.code;
                        obj.text    = obj.text || obj.name;
                        return obj;
                    });
                    return {
                        results: results,
                        pagination: {
                            more: (response.links.next != '' && response.links.next != null && response.links.next != undefined) 
                        }
                    };
                }
            }
        });

        selectProvince.on({
            change(e){
                selectCity.val(null).trigger('change');
            }
        });
        selectCity.on({
            change(e){
                selectDistrict.val(null).trigger('change');
            }
        });
        selectDistrict.on({
            change(e){
                selectVillage.val(null).trigger('change');
            }
        });

    $('.with-image-preview').on({
        change(event){
            let imageElement    = $(`${$(event.target).attr('data-target')}`);
            let files           =  event.target.files;
            if (files && files[0]) {
                let file            = files[0];
                let reader          = new FileReader();
                reader.onload = (e) => {
                    imageElement.attr('src', e.target.result);
                };
                reader.readAsDataURL(file);
            }
        }
    });

    var map = L.map('map').setView([<?php echo e($malicious->reseller->map->lat ?? null); ?>,<?php echo e($malicious->reseller->map->long ?? null); ?>], 15);
    L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
        maxZoom: 25,
        attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
    }).addTo(map);
    var marker = L.marker([<?php echo e($malicious->reseller->map->lat ?? null); ?>,<?php echo e($malicious->reseller->map->long ?? null); ?>]).addTo(map);
});
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invix/public_html/live.invix.id/apjii.invix.id/resources/views/pages/malicious/show.blade.php ENDPATH**/ ?>