<?php $__env->startSection('content'); ?>
<div class="container">
    <div class="d-flex justify-content-between align-items-center mb-1">
        <div>
            <h1 class="mb-0 fw-bolder">Reseller #<?php echo e($reseller->id); ?></h1>
        </div>
        <div>
            <a href="<?php echo e(route('resellers.index')); ?>" class="btn btn-light shadow">
                <i class="fa fa-fw fa-arrow-left"></i> Back To Lists
            </a>
        </div>
    </div>
    <div class="card shadow">
        <div class="card-body">
            <div class="row">
                <div class="col-md-5">
                    <h4 class="fw-bolder">Reseller Profile</h4>
                    <dl class="row">
                        <dt class="col-sm-3">Type</dt>
                        <dd class="col-sm-9"><?php echo e($reseller->type ?? '-'); ?></dd>
                      
                        <dt class="col-sm-3">NIK</dt>
                        <dd class="col-sm-9"><?php echo e($reseller->nik ?? '-'); ?></dd>
                      
                        <dt class="col-sm-3">NPWP</dt>
                        <dd class="col-sm-9"><?php echo e($reseller->npwp ?? '-'); ?></dd>
                      
                        <dt class="col-sm-3">Legal Name</dt>
                        <dd class="col-sm-9"><?php echo e($reseller->legal_name ?? '-'); ?></dd>

                        <dt class="col-sm-3">Brand Name</dt>
                        <dd class="col-sm-9"><?php echo e($reseller->brand_name ?? '-'); ?></dd>

                        <dt class="col-sm-3">Email</dt>
                        <dd class="col-sm-9"><?php echo e($reseller->email ?? '-'); ?></dd>

                        <dt class="col-sm-3">Phone</dt>
                        <dd class="col-sm-9"><?php echo e($reseller->phone ?? '-'); ?></dd>
    
                        <dt class="col-sm-3">Address</dt>
                        <dd class="col-sm-9"><?php echo e($full_address ?? '-'); ?></dd>
                    
                        <?php if(isset($reseller->social_media)): ?>
                            <?php $__currentLoopData = $reseller->social_media; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $name => $url): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <dt class="col-sm-3"><?php echo e(str($name)->ucfirst()); ?></dt>
                            <dd class="col-sm-9">
                                <a href="<?php echo e(url($url ?? '')); ?>" target="_blank"><?php echo e($url ?? '-'); ?></a>
                            </dd>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </dl>
                    <div id="map" class="w-100" style="height:300px;"></div>
                </div>
                <div class="col-md-7">
                    <h4 class="fw-bolder">PIC</h4>
                    <dl class="row">
                        <?php if(isset($reseller->pic)): ?>
                            <?php $__currentLoopData = $reseller->pic; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <dt class="col-sm-3"><?php echo e(str($key)->ucfirst()); ?></dt>
                                <dd class="col-sm-9">
                                    <?php if($key == 'photo'): ?>
                                    <img src="<?php echo e(asset('storage/' . $value)); ?>" class="img-fluid img-thumbnail" style="max-width:200px;" />
                                    <?php else: ?>
                                    <?php echo e($value ?? '-'); ?>

                                    <?php endif; ?>
                                </dd>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <?php endif; ?>
                    </dl>
                    <h4 class="fw-bolder">Malicious</h4>
                    <table class="table">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Title</th>
                                <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'Admin')): ?>
                                <th>ISP</th>
                                <?php endif; ?>
                            </tr>
                        </thead>
                        <tbody>
                        <?php $__currentLoopData = $reseller->maliciouses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $malicious): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($malicious->id); ?></td>
                                <td>
                                    <a class="m-0 lh-1" href="<?php echo e(route('maliciouses.show', $malicious)); ?>">
                                        <strong><?php echo e($malicious->title); ?></strong>
                                    </a>
                                </td>
                                <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'Admin')): ?>
                                <td>
                                    <p class="m-0 lh-1">
                                        <strong><?php echo e($malicious->isp->brand_name); ?></strong><br/>
                                        <small class="text-muted"><?php echo e($malicious->isp->legal_name); ?></small>
                                    </p>
                                </td>
                                <?php endif; ?>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('css'); ?>
<link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.4/dist/leaflet.css" />
<?php $__env->stopPush(); ?>

<?php $__env->startPush('js'); ?>
<script src="https://unpkg.com/leaflet@1.9.4/dist/leaflet.js"></script>
<script>
    var map = L.map('map').setView([<?php echo e($reseller->map->lat ?? null); ?>,<?php echo e($reseller->map->long ?? null); ?>], 15);
    L.tileLayer('https://tile.openstreetmap.org/{z}/{x}/{y}.png', {
        maxZoom: 25,
        attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
    }).addTo(map);
    var marker = L.marker([<?php echo e($reseller->map->lat ?? null); ?>,<?php echo e($reseller->map->long ?? null); ?>]).addTo(map);
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/invix/public_html/live.invix.id/apjii.invix.id/resources/views/pages/reseller/show.blade.php ENDPATH**/ ?>